unit ErrMsg;
////////////////////////////////////////////////////////////////////////////////
//
//        Т Е К С Т Ы   С О О Б Щ Е Н И Й    О Б    О Ш И Б К А Х
//
////////////////////////////////////////////////////////////////////////////////

                                  interface
////////////////////////////////////////////////////////////////////////////////

function ErrMsgText(code: integer): string;

                                implementation
////////////////////////////////////////////////////////////////////////////////
uses
  ErrCodes;

function ErrMsgText(code: integer): string;
begin
  case code of
    RES_OK                  : result := 'OK !';
    //
    RES_NO_CARD_ERROR       : result := 'Нет карты';
    RES_ERR_INVALID_HANDLE  : result := 'Невалидный handle';
    RES_EMPTY               : result := 'Результат пуст';
    RES_WRONG_PARAMS        : result := 'Неправильные параметры';
    RES_CRC_ERROR           : result := 'Ошибка контрольной суммы';
    RES_INVALID_DATA        : result := 'Некорректные данные';
    RES_COMM_TIMEOUT        : result := 'Таймаут обмена';
    RES_WRITE_ERROR         : result := 'Ошибка записи';
    RES_OVERFLOW_ERROR      : result := 'Переполнение данных';
    RES_JUST_OPENED         : result := 'Уже открыт';
    RES_JUST_CLOSED         : result := 'Уже закрыт';
    RES_NO_IMPLEMENTED      : result := 'Функция не реализована';
    
  else
    result := 'Ошибка не имеет описания'
  end { case };
end;

end.
